%define name powermanga
%define version 0.74
%define release alt1

Summary: Shoot them up with 3d graphics
Name: %name
Version: %version
Release: %release
License: Artistic
Group: Games/Arcade

Packager: Konstantin Volckov <goldhead@altlinux.ru>

Source: http://www.tlk.fr/lesjeux/%name-%version.tar.bz2
Source10: %name.16.xpm.bz2
Source11: %name.32.xpm.bz2
Source12: %name.48.xpm.bz2
Patch0: powermanga-0.73-fix-flags.patch
#Patch1: powermanga-0.71c-add-missing-xxx-files.patch
Patch2: powermanga-0.74-add-pkgdatadir.patch
Patch3: powermanga-0.73-fix-scorefile.patch
#Patch4: powermanga-0.71c-fix-files-path.patch
ExclusiveArch: %ix86
URL: http://www.tlk.fr/jeu.php?ref=powli

# Automatically added by buildreq on Thu Sep 19 2002
BuildRequires: XFree86-devel gcc-c++ libstdc++-devel

%description
In this shoot them up with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises..

%prep
%setup -q
%patch0 -p1
#%patch1 -p0
%patch2 -p0
%patch3 -p0
#%patch4 -p0
# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.hpp" -exec perl -pi -e '$_.="\n" if eof' {} \;

# Fix CFLAGS
%define _optlevel 3
%add_optflags %optflags_kernel %optflags_notraceback %optflags_fastmath

%build
PREFIX=%prefix CXXFLAGS=$RPM_OPT_FLAGS make

%install
mkdir -p $RPM_BUILD_ROOT/%_mandir/man6
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=$RPM_BUILD_ROOT/%prefix

mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):command="%_gamesbindir/%name" icon="%name.xpm" \
  needs="x11" section="Amusement/Arcade" title="Power Manga" \
  longtitle="Shoot them up with 3d graphics"
EOF

mkdir -p $RPM_BUILD_ROOT%_miconsdir
mkdir -p $RPM_BUILD_ROOT%_liconsdir
bzcat %SOURCE10 > $RPM_BUILD_ROOT%_miconsdir/%name.xpm
bzcat %SOURCE11 > $RPM_BUILD_ROOT%_iconsdir/%name.xpm
bzcat %SOURCE12 > $RPM_BUILD_ROOT%_liconsdir/%name.xpm

chmod 2711 $RPM_BUILD_ROOT%_gamesbindir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%defattr(-,root,root)
%attr(0660, games, games) %_localstatedir/games/*
%attr(-, root, games) %_gamesbindir/*
%_gamesdatadir/*
%_mandir/*/*
%_menudir/%name
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Thu Oct 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.74-alt1
- 0.74

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.73-alt1.1
- rebuild with new XFree86
- added buildreq

* Wed Sep 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.73-alt1
- 0.73
- Updated patches
- Updated CFLAGS
- fixed permissions to score files

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.71c-alt2.1
- fixed suid/sgid permissions

* Sat Jun 9 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.71c-alt2
- Fixed permission for /var/lib/games/powermanga.hi

* Fri Jun 8 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.71c-alt1
- New version 0.71c
- Added some Mandrake Cooker patches

* Tue Jan 16 2001 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Wed Dec 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.71-2mdk
- ix86 only.

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.71-1mdk
- mdk package
